<!doctype html PUBLIC"=-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1 charset=utf-8" />
<title>Do It! - Tu agenda online</title>
<link href="../_css/estilo.css" rel="stylesheet" type="text/css">
<link href='https://fonts.googleapis.com/css?family=Poiret+One' rel='stylesheet' type='text/css'>
<link href='https://fonts.googleapis.com/css?family=Dancing+Script' rel='stylesheet' type='text/css'>
<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-sacale=1.0, minimum-scale=1.00">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>

<link href='css/fullcalendar.css' rel='stylesheet' />
<link href='fullcalendar/fullcalendar.print.css' rel='stylesheet' media='print' />
<script src='js/moment.min.js'></script>
<script src='js/jquery.min.js'></script>
<script src='js/fullcalendar.min.js'></script>
<link href='http://momentjs.com/downloads/moment.js' />
<script src='js/lang-all.js'></script>

<script type="text/javascript">

$(document).ready(function() {
 
	var date = new Date();
	var d = date.getDate();
	var m = date.getMonth();
	var y = date.getFullYear();
	var calendar = $('#calendar').fullCalendar({
		lang: 'es',
		titleRangeSeparator : '/',
	editable: true,
	events: "http://eimtcms.uoc.edu/~cballesterosl/usr/eventos.php",
	selectable: true,
	selectHelper: true,
	monthNamesShort : ['Enero' , 'Febrero' , 'Marzo' , 'Abril' , 'Mayo' , 'Junio' , 'Julio' ,
	'Agosto' , 'Septiembre' , 'Octubre' , 'Noviembre' , 'Diciembre' ],
	monthNames : ['Enero' , 'Febrero' , 'Marzo' , 'Abril' , 'Mayo' , 'Junio' , 'Julio' ,
	'Agosto' , 'Septiembre' , 'Octubre' , 'Noviembre' , 'Diciembre' ],
	dayNamesShort : ['Domingo', 'Lunes', 'Martes', 'Miercoles', 'Jueves', 'Viernes', 'Sabado'],
	dayNames : ['Domingo', 'Lunes', 'Martes', 'Miercoles', 'Jueves', 'Viernes', 'Sabado'],
	buttonText: {
	prev: 'ANTERIOR',
	next: 'SIGUIENTE',
	prevYear: 'AO ANTERIOR',
	nextYear: 'AO SIGUIENTE',
	today : 'HOY',
	month : 'MES',
	week : 'SEMANA',
	day : 'DIA'
	},       
	header: {
		left: 'prev,next',
		center: 'title',
		right: 'today,month,agendaWeek,agendaDay'
	},
	allDaySlot: false,
	select: function(start, end, allDay) {
		 var title = prompt('NOMBRE DEL EVENTO:');
		 if (title) {
			 	if (confirm("El evento dura todo el da?")) {
					//allDay = true;
					start=moment(start).format('YYYY-MM-DDTHH:mm:ssZ'); 
			 		end=moment(end).format('YYYY-MM-DDTHH:mm:ssZ');
				}else{
					var horaInicio = prompt('HORA DE INICIO (hh:mm:ss)');
					var horaFin = prompt('HORA DE FIN (hh:mm:ss)');
					start=moment(start).format('YY-MM-DDT');
					end=start+horaFin;
			 		start=start+horaInicio;
					allDay = false;
				}
			 
			 $.ajax({
			 url: 'http://eimtcms.uoc.edu/~cballesterosl/usr/masEventos.php',
			 data: 'title='+ title+'&start='+ start +'&end='+ end,
			 type: "POST",
			 success: function(json) {
				 alert('EVENTO INTRODUCIDO CON EXITO');
				 location.reload();
		 	 }
	});
			
			
	calendar.fullCalendar('renderEvent',
	{
		title: title,
		start: start,
		end: end,
		allDay: allDay
	},
	true // make the event "stick"
	);
	}
	calendar.fullCalendar('unselect');
	},
	editable: true,
	eventDrop: function(event, delta, revertFunc){
		start=moment(event.start).format('YYYY-MM-DDTHH:mm:ssZ'); 
		end=moment(event.end).format('YYYY-MM-DDTHH:mm:ssZ');
		$.ajax({
		url: 'http://eimtcms.uoc.edu/~cballesterosl/usr/actualizarEventos.php',
		data: 'title='+ event.title+'&start='+ start +'&end='+ end +'&id='+ event.id ,
 		type: "POST",
		success: function(json) {
			if (!confirm("Estas seguro de hacer el cambio?")) {
				revertFunc();
			}else{
				alert("CAMBIO REALIZADO!");
			}
		}
		});
	},
	eventResize: function(event) {
		start=moment(event.start).format('YYYY-MM-DDTHH:mm:ssZ'); 
		end=moment(event.end).format('YYYY-MM-DDTHH:mm:ssZ');
		$.ajax({
		url: 'http://eimtcms.uoc.edu/~cballesterosl/usr/actualizarEventos.php',
		data: 'title='+ event.title+'&start='+ start +'&end='+ end +'&id='+ event.id ,
		type: "POST",
		success: function(json) {
			if (!confirm("Estas seguro de hacer el cambio?")) {
				revertFunc();
			}else{
				alert("CAMBIO REALIZADO!");
			}
		}
		});
	},
	eventClick: function(calEvent, jsEvent, view, revertFunc) {
			if (!confirm("Desea invitar a algun amigo al evento?")) {
				revertFunc();
			}else{
				var email = prompt('Introduzca su email');
				var nombreEvento = calEvent.title;
				$.ajax({
					url: "http://eimtcms.uoc.edu/~cballesterosl/usr/mail.php",
					data: 'email='+ email+'&tituloEvento='+nombreEvento,
					type: "POST",
					success: function() {
						alert('MENSAJE ENVIADO!');
					},
					error: function() {
						alert('Ups! Ha ocurrido algn error...');
					}
				});
				return false;
			}
    }

	});
	
});
</script>

<script>
    $(function() {

        var btn_movil = $('#nav_usr'),
            menu = $('#menu_usr').find('ul');

        // Al dar click agregar/quitar clases que permiten el despliegue del men
        btn_movil.on('click', function (e) {
            e.preventDefault();

            var el = $(this);

            el.toggleClass('nav-active');
            menu.toggleClass('open-menu');
        })

    });
</script>
</head>
<body>
	<nav>
    	<div id="logo">
            <a href="calendar.php"><img src="../_img/logo_doit!.png" alt="DoIt! - Tu agenda online"/></a>
        </div>
        <div id="menu_usr"><a class="nav_usr" id="nav_usr" href="#">
        <?php
			session_start();
			if (isset($_SESSION['loggedin']) & $_SESSION['loggedin'] == true){
				echo "HOLA ". strtoupper($_SESSION['username']);
				?>
				<img src="../_img/flecha.png"></a>
                <?php
			}
		?>
        
            <ul>
            	<li><a href="calendar.php">DO IT! - AGENDA</a></li>
                <li><a href="controlGastos.php">CONTROL DE GASTOS</a></li>
                <li><a href="configuracion.php">CONFIGURACIN</a></li>
                <li><a href="cerrarSesion.php">CERRAR SESIN</a></li>
            </ul>
        </div>
    </nav>
    
	<header>
		<div id="imagenCabecera">
        	<div id="fraseCabecera">
               "La organizacin vence al tiempo". Juan Domingo Pern                
            </div>
    	</div>
	</header>
    
	<article>
    	<section>
        <?php
			//session_start();
			if (isset($_SESSION['loggedin']) & $_SESSION['loggedin'] == true){
				?>
        		<p style="float:left;" class="nuevo"><a class="nuevo" href="tareaProgramada.php">NUEVA TAREA PROGRAMADA</a><img src="../_img/mas.png"><br></p><br><br>
                <div id='calendar'></div>
                <?php
			}
			else{
				echo "Esta pagina es solo para usuarios registrados.<br>";
				echo "<a href='../inicioSesion.php'>Inicia sesin aqu</a>";
				
				exit;
				$now = time(); // checking the time now when home page starts
				if($now > $_SESSION['expire']){
					session_destroy();
					echo "Su sesion a terminado, <a href='../inicioSesion.php'>
					Debe Iniciar Sesin</a>";
					exit;
				}
			}
		?>
        </section>
    </article>
	<footer>
    	<div id="estilosFooter">
            <div id="datosPie">
                <div id="copyright">
                    <br><p>2016  DoIt! - Tu Agenda Online</p>
                </div>
            </div>
       </div>
    </footer>
</body>
</html>
