<!doctype html PUBLIC"=-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<title>Do It! - Tu agenda online</title>
<link href="../_css/estilo.css" rel="stylesheet" type="text/css">
<link href='https://fonts.googleapis.com/css?family=Poiret+One' rel='stylesheet' type='text/css'>
<link href='https://fonts.googleapis.com/css?family=Dancing+Script' rel='stylesheet' type='text/css'>
<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-sacale=1.0, minimum-scale=1.00">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>

<link href='fullcalendar/fullcalendar.css' rel='stylesheet' />
<link href='fullcalendar/fullcalendar.print.css' rel='stylesheet' media='print' />
<script src='fullcalendar/lib/moment.min.js'></script>
<script src='fullcalendar/lib/jquery.min.js'></script>
<script src='fullcalendar/fullcalendar.min.js'></script>

<script>
    $(function() {

        var btn_movil = $('#nav_usr'),
            menu = $('#menu_usr').find('ul');

        // Al dar click agregar/quitar clases que permiten el despliegue del men
        btn_movil.on('click', function (e) {
            e.preventDefault();

            var el = $(this);

            el.toggleClass('nav-active');
            menu.toggleClass('open-menu');
        })

    });
</script>
</head>
<body>
	<nav>
    	<div id="logo">
            <a href="calendar.php"><img src="../_img/logo_doit!.png" alt="DoIt! - Tu agenda online"/></a>
        </div>
        <div id="menu_usr"><a class="nav_usr" id="nav_usr" href="#">
        <?php
			session_start();
			if (isset($_SESSION['loggedin']) & $_SESSION['loggedin'] == true){
				echo "HOLA ". strtoupper($_SESSION['username']);
				?>
				<img src="../_img/flecha.png"></a>
                <?php
			}
		?>
        
            <ul>
            	<li><a href="calendar.php">DO IT! - AGENDA</a></li>
                <li><a href="controlGastos.php">CONTROL DE GASTOS</a></li>
                <li><a href="configuracion.php">CONFIGURACIN</a></li>
                <li><a href="cerrarSesion.php">CERRAR SESIN</a></li>
            </ul>
        </div>
    </nav>
    
	<header>
		<div id="imagenCabecera">
        	<div id="fraseCabecera">
               "La organizacin vence al tiempo". Juan Domingo Pern                
            </div>
    	</div>
	</header>
    
	<article>
    	<section>
        <?php
			session_start();
			if (isset($_SESSION['loggedin']) & $_SESSION['loggedin'] == true){
				?>
                <div id="opcionesControlGastos">
                        <p style="float:left;" class="nuevo"><a class="nuevo" href="agregarGasto.php">NUEVO GASTO/INGRESO</a><img src="../_img/mas.png"><br></p>
                        <br>
                </div>
                <div class="rwd">
                    <table class="rwd_auto">
                        <thead>
                        <tr>
                            <th>FECHA</th>
                            <th>CONCEPTO</th>
                            <th>DESCRIPCIN GASTO/INGRESO</th>
                            <th>CANTIDAD</th>
                            <th>TOTAL</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php
                            include('../_conexion.php');
                            $idUsuario = $_SESSION['idUsuario']; 
                            $sqlConsulta="SELECT id, fecha, concepto, descripcion, cantidad FROM GASTOS WHERE idUsuario='$idUsuario'";
                            $sql=mysqli_query($con,$sqlConsulta);
                            
                            $total = 0;
                            while($row = mysqli_fetch_array($sql)){
								$total = $total + $row['cantidad'];
                              echo "<tr>";
                                echo "<td>".$row['fecha']."</td>";
                                echo "<td>".$row['concepto']."</td>";
                                echo "<td>".$row['descripcion']."</td>";
                                echo "<td>".$row['cantidad']."</td>";
								echo "<td>".$total."</td>";
                                echo "<td>
                                        <a href='editar.php?id=".$row['id']."&descripcion=".$row['descripcion']."&cantidad=".$row['cantidad']."'>
                                            <img src='../_img/editar.png' alt='editar'>
                                        </a>
                                        <a href='eliminar.php?id=".$row['id']."'>
                                            <img src='../_img/eliminar.png' alt='eliminar'>
                                        </a>
                                    </td>";
                              echo "</tr>";
                            } 
                            echo "TOTAL: ".$total . " ";
                        ?>
                        </tbody>
                    </table>
                </div>
                <?php
			}
			else{
				echo "Esta pagina es solo para usuarios registrados.<br>";
				echo "<a href='../inicioSesion.php'>Inicia sesin aqu</a>";
				
				exit;
				$now = time(); // checking the time now when home page starts
				if($now > $_SESSION['expire']){
					session_destroy();
					echo "Su sesion a terminado, <a href='../inicioSesion.php'>
					Debe Iniciar Sesin</a>";
					exit;
				}
			}
		?>
        </section>
    </article>
	<footer>
    	<div id="estilosFooter">
            <div id="datosPie">
                <div id="copyright">
                    <br><p>2016  DoIt! - Tu Agenda Online</p>
                </div>
            </div>
       </div>
    </footer>
</body>
</html>
