<!doctype html PUBLIC"=-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<title>Do It! - Tu agenda online</title>
<link href="../_css/estilo.css" rel="stylesheet" type="text/css">
<link href='https://fonts.googleapis.com/css?family=Poiret+One' rel='stylesheet' type='text/css'>
<link href='https://fonts.googleapis.com/css?family=Dancing+Script' rel='stylesheet' type='text/css'>
<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-sacale=1.0, minimum-scale=1.00">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>

<link href='fullcalendar/fullcalendar.css' rel='stylesheet' />
<link href='fullcalendar/fullcalendar.print.css' rel='stylesheet' media='print' />
<script src='fullcalendar/lib/moment.min.js'></script>
<script src='fullcalendar/lib/jquery.min.js'></script>
<script src='fullcalendar/fullcalendar.min.js'></script>

<script>
    $(function() {

        var btn_movil = $('#nav_usr'),
            menu = $('#menu_usr').find('ul');

        // Al dar click agregar/quitar clases que permiten el despliegue del men
        btn_movil.on('click', function (e) {
            e.preventDefault();

            var el = $(this);

            el.toggleClass('nav-active');
            menu.toggleClass('open-menu');
        })

    });
</script>
</head>
<body>
	<nav>
    	<div id="logo">
            <a href="calendar.php"><img src="../_img/logo_doit!.png" alt="DoIt! - Tu agenda online"/></a>
        </div>
        <div id="menu_usr"><a class="nav_usr" id="nav_usr" href="#">
        <?php
			session_start();
			if (isset($_SESSION['loggedin']) & $_SESSION['loggedin'] == true){
				echo "HOLA ". strtoupper($_SESSION['username']);
				?>
				<img src="../_img/flecha.png"></a>
                <?php
			}
		?>
        
            <ul>
            	<li><a href="calendar.php">DO IT! - AGENDA</a></li>
                <li><a href="controlGastos.php">CONTROL DE GASTOS</a></li>
                <li><a href="configuracion.php">CONFIGURACIN</a></li>
                <li><a href="cerrarSesion.php">CERRAR SESIN</a></li>
            </ul>
        </div>
    </nav>
    
	<header>
		<div id="imagenCabecera">
        	<div id="fraseCabecera">
               "La organizacin vence al tiempo". Juan Domingo Pern                
            </div>
    	</div>
	</header>
    
	<article>
    	<section>
        <?php
			session_start();
			if (isset($_SESSION['loggedin']) & $_SESSION['loggedin'] == true){
				if (isset($_POST['guardar'])){
					include('../_conexion.php');
					$titulo=$_POST['titulo'];
					$fechaComienzo=$_POST['fechaComienzo'];
					$horaComienzo=$_POST['horaComienzo'].":00";
					$horaFin=$_POST['horaFin'].":00";
					
					$star=$fechaComienzo." ".$horaComienzo;
					
					$fechaActual=date("d/m/Y");
					$fechaHoraActualComienzo=$fechaActual." ".$horaComienzo;
					$fechaHoraActualFin=$fechaActual." ".$horaFin;

					
					if($_POST['frecuencia'] == 1){
						$aleatorio=rand(111111,999999);
						$nombreEvento = "titulo".$aleatorio;
						$sql = "CREATE EVENT ".$nombreEvento." ON SCHEDULE EVERY 1 DAY STARTS '".$star."' DO INSERT INTO EVENTOS (idUsuario, title, start, end, periodicidad) VALUES (".($_SESSION['idUsuario']).",'".$titulo."', '".$fechaHoraActualComienzo."','".$fechaHoraActualFin."',".$_POST['frecuencia'].")";
						
						if (mysqli_query($con,$sql)){
							echo("EVENTO DIARIO PROGRAMADO!");
						}
						else{
							('Error. '.mysqli_error());
						}

					}
					elseif($_POST['frecuencia'] == 2){
						//semanal
						$aleatorio=rand(111111,999999);
						$nombreEvento = "titulo".$aleatorio;
						$sql = "CREATE EVENT ".$nombreEvento." ON SCHEDULE EVERY 7 DAY STARTS '".$star."' DO INSERT INTO EVENTOS (idUsuario, title, start, end, periodicidad) VALUES (".($_SESSION['idUsuario']).",'".$titulo."', '".$fechaHoraActualComienzo."','".$fechaHoraActualFin."',".$_POST['frecuencia'].")";
						
						if (mysqli_query($con,$sql)){
							echo("EVENTO SEMANAL PROGRAMADO!");
						}
						else{
							('Error. '.mysqli_error());
						}
					}
					elseif($_POST['frecuencia'] == 3){
						//mensual
						$aleatorio=rand(111111,999999);
						$nombreEvento = "titulo".$aleatorio;
						$sql = "CREATE EVENT ".$nombreEvento." ON SCHEDULE EVERY 30 DAY STARTS '".$star."' DO INSERT INTO EVENTOS (idUsuario, title, start, end, periodicidad) VALUES (".($_SESSION['idUsuario']).",'".$titulo."', '".$fechaHoraActualComienzo."','".$fechaHoraActualFin."',".$_POST['frecuencia'].")";
						
						if (mysqli_query($con,$sql)){
							echo("EVENTO MENSUAL PROGRAMADO!");
						}
						else{
							('Error. '.mysqli_error());
						}
					}
					elseif($_POST['frecuencia'] == 4){
						//anual
						$aleatorio=rand(111111,999999);
						$nombreEvento = "titulo".$aleatorio;
						$sql = "CREATE EVENT ".$nombreEvento." ON SCHEDULE EVERY 365 DAY STARTS '".$star."' DO INSERT INTO EVENTOS (idUsuario, title, start, end, periodicidad) VALUES (".($_SESSION['idUsuario']).",'".$titulo."', '".$fechaHoraActualComienzo."','".$fechaHoraActualFin."',".$_POST['frecuencia'].")";
						
						if (mysqli_query($con,$sql)){
							echo("EVENTO ANUAL PROGRAMADO!");
						}
						else{
							('Error. '.mysqli_error());
						}
					}
				}
				else{
					?>
					<div id="formulario">
                        <form class="contact_form" action="" id="contact_form" method="post"> 
            
                            <label for="titulo">TITULO DEL EVENTO:</label><br>
                            <input type="text" name="titulo" required />
                            
                            <br><br>
                            
                            <label for="EMPIEZA">FECHA COMIENZO:</label><br>
                            <input type="date" name="fechaComienzo" required />
                            <br><br>
                            
                            <label for="EMPIEZA">HORA COMIENZO:</label><br>
                            <input type="time" name="horaComienzo" required />
                            <br><br>
                            
                            <label for="ACABA">HORA FIN:</label><br>
                            <input type="time" name="horaFin" required />
                            <br><br>
            
                            <label for="empieza">FRECUENCIA:</label>
                            <select name="frecuencia">    
                                <option value="1" selected="selected">Diaria</option>
                                <option value="2">Semanal</option>
                                <option value="3">Mensual</option>
                                <option value="4">Anual</option>
                            </select>
                            <br><br><br>
            
                             <button type="submit" name="guardar" class="boton">GUARDAR</button>
                        </form>
                		<br><br><br>
                	</div>
                <?php
             	}
             }
			
		?>
        </section>
    </article>
	<footer>
    	<div id="estilosFooter">
            <div id="datosPie">
                <div id="copyright">
                    <br><p>2016  DoIt! - Tu Agenda Online</p>
                </div>
            </div>
       </div>
    </footer>
</body>
</html>
